Martin Taal's Blog

About EMF, Teneo, CDO, Texo, Hibernate, Open-Source ERP and other topics

EMF CDO HibernateStore: Upgraded to Teneo 2.0, JPA 2.0 and Hibernate 4.1

leave a comment »

In a previous post I talked about Teneo 2.0 and its JPA 2.0 and Hibernate 4.1 support. With these new developments it was time to upgrade the CDO Hibernate store also. So here it is: the CDO Hibernate Store in the CDO 4.1 release/build now also supports JPA 2.0 and Hibernate 4.1. This new functionality is available from CDO 4.1 RC1 or any nightly build from the 21th of May 2012.

Hibernate 4.1 is a major release and it is not binary compatible with 3.6.0. This means that when getting the latest CDO Hibernate store 4.1 version you also need to upgrade Hibernate to 4.1, and if you are testing using hsqldb then make sure to also upgrade that one.

To help you out, the newer hibernate and hsqldb versions are available through this update site:

http://www.elver.org/eclipse/2.0.0/update

The CDO Hibernate Store 4.1 depends on Teneo 2.0 which you can find on this update site:

http://download.eclipse.org/modeling/emf/teneo/updates/2.0.0/interim/

I hope this post is useful for you, thanks for reading and if you are interested feel free to give feedback or ask questions on the EMF newsgroup or forum.

gr. Martin

Advertisements

Written by martintaal

May 23, 2012 at 4:54 am

Posted in CDO

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: